<?php

$wp_customize->add_section( 'article_settings', array(
  'title'          => esc_attr__( 'Article Settings', 'stuffpost' ),
  'panel'          => 'basic_settings',
  'priority'       => 160,
) );

// article layout
  $wp_customize->add_setting( 'article_layout', array( 'capability' => 'edit_theme_options', 'default' => 'narrow', 'sanitize_callback' => 'weart_sanitize_radio', ) );
  $wp_customize->add_control( 'article_layout', array(
    'type' => 'select',
    'section' => 'article_settings',
    'label'          => esc_html__('Article Layout','stuffpost'),
    'choices' => array(
      'wide'=>esc_html__('Wide Layout','stuffpost'),
      'narrow'=>esc_html__('Narrow Layout','stuffpost'),
      'video'=>esc_html__('Video Layout','stuffpost'),
    ),
  ) );

// want sticky sidebar?
  $wp_customize->add_setting( 'want_sticky', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_sticky', array(
    'label' => esc_html__( 'Want Sticky Sidebar?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));

// want related posts above articles?
  $wp_customize->add_setting( 'want_related', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_related', array(
    'label' => esc_html__( 'Want Related Posts above articles?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));
// want featured img?
  $wp_customize->add_setting( 'want_featured_img', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_featured_img', array(
    'label' => esc_html__( 'Want featured IMG?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));
// want to display homepage sections on the bottom of the page?
  $wp_customize->add_setting( 'want_home_related', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_home_related', array(
    'label' => esc_html__( 'Want to display homepage sections on the bottom of the page?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));
// want to excerpt
  $wp_customize->add_setting( 'want_excerpt', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_excerpt', array(
    'label' => esc_html__( 'Want to display the article excerpt?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));
// Related post Random or Latest
  $wp_customize->add_setting( 'what_related', array( 'capability' => 'edit_theme_options', 'default' => 'rand', 'sanitize_callback' => 'weart_sanitize_radio', ) );
  $wp_customize->add_control( 'what_related', array(
    'type' => 'select',
    'section' => 'article_settings',
    'label'          => esc_html__('Related Posts What Based on?','stuffpost'),
    'choices' => array(
                  'rand' => esc_html__( 'Random Posts from Category', 'stuffpost' ),
                  'date' => esc_html__( 'Latest Posts from Category', 'stuffpost' ),
                ),
  ) );
// share on articles in top
  $wp_customize->add_setting( 'want_share_top', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_share_top', array(
    'label' => esc_html__( 'Want to display the share buttons on the top in articles?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));
// share on articles in bottom
  $wp_customize->add_setting( 'want_share_top', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_share_top', array(
    'label' => esc_html__( 'Want to display the share buttons on the top in articles?', 'stuffpost' ),
    'section' => 'article_settings',
    'type' => 'checkbox',
  ));