<?php

$wp_customize->add_panel( 'basic_settings', array(
  'priority'    => 10,
  'title'       => esc_attr__( 'Basic Settings', 'stuffpost' ),
) );
$wp_customize->add_section( 'menu_settings', array(
  'title'          => esc_attr__( 'Menu Settings', 'stuffpost' ),
  'panel'          => 'basic_settings',
  'priority'       => 160,
) );
$wp_customize->add_section( 'footer_settings', array(
  'title'          => esc_attr__( 'Footer Settings', 'stuffpost' ),
  'panel'          => 'basic_settings',
  'priority'       => 160,
) );
$wp_customize->add_section('section_fonts', array(
  'title'		=> esc_html__('Font Settings', 'stuffpost'),
  'priority'	=> 0,
  'panel' => 'basic_settings',
));

// HEADER Menu is fixed
  $wp_customize->add_setting( 'want_menuFixed', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuFixed', array(
    'label'          => esc_html__( 'Menu is Fixed?', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Social Icon ON-OFF
  $wp_customize->add_setting( 'want_menuSocial', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuSocial', array(
    'label'          => esc_html__( 'Menu Social Icons On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Search ON-OFF
  $wp_customize->add_setting( 'want_menuSearch', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuSearch', array(
    'label'          => esc_html__( 'Menu Search On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Logo ON-OFF
  $wp_customize->add_setting( 'want_menuLogo', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuLogo', array(
    'label'          => esc_html__( 'Menu Logo On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER Tagline ON-OFF
  $wp_customize->add_setting( 'want_menuTagline', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuTagline', array(
    'label'          => esc_html__( 'Menu Tagline On-Off', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// FOOTER Copyright
  $wp_customize->add_setting( 'copyright', array('sanitize_callback' => 'weart_sanitize_text'));
  $wp_customize->add_control( 'copyright', array(
    'label' => esc_html__('Copyright Text','stuffpost'),
    'description' => esc_html__( 'Do not use HTML elements.', 'stuffpost' ),
    'section' => 'footer_settings',
    'type' => 'text',
  ));
// FOOTER logo
  $wp_customize->add_setting( 'want_footerLogo', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_footerLogo', array(
    'label'          => esc_html__( 'Footer Logo On-Off', 'stuffpost' ),
    'section' => 'footer_settings',
    'type' => 'checkbox',
  ));
// FOOTER social
  $wp_customize->add_setting( 'want_footerSocial', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_footerSocial', array(
    'label'          => esc_html__( 'Footer Social On-Off', 'stuffpost' ),
    'section' => 'footer_settings',
    'type' => 'checkbox',
  ));
// INfinte scroll?
  $wp_customize->add_setting( 'want_infinite', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_infinite', array(
    'label'          => esc_html__( 'Infinite Scroll On-Off', 'stuffpost' ),
    'section' => 'title_tagline',
    'type' => 'checkbox',
  ));


/*	FONTS	*/
  require get_template_directory().'/functions/class-google-fonts.php';
  // main
    $wp_customize->add_setting( 'main_font', array( 'default' => 'Titillium Web', 'sanitize_callback' => 'sanitize_text_field', ));
    $wp_customize->add_control( new Google_Fonts( $wp_customize, 'main_font', array(
        'label'      => esc_html__( 'Main Fonts', 'stuffpost' ),
        'section'    => 'section_fonts',
        'settings'   => 'main_font',
    )));
  // text
    $wp_customize->add_setting( 'text_font', array( 'default' => 'Noticia Text', 'sanitize_callback' => 'sanitize_text_field', ));
    $wp_customize->add_control( new Google_Fonts( $wp_customize, 'text_font', array(
        'label'      => esc_html__( 'Text Fonts', 'stuffpost' ),
        'section'    => 'section_fonts',
        'settings'   => 'text_font',
    )));

// INfinte scroll?
  $wp_customize->add_setting( 'want_slider_animation', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_slider_animation', array(
    'label'          => esc_html__( 'Want Carousel/Slider animation by default?', 'stuffpost' ),
    'section' => 'title_tagline',
    'type' => 'checkbox',
  ));

// HEADER: boxed?
  $wp_customize->add_setting( 'want_menuBoxed', array( 'default' => 0, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_menuBoxed', array(
    'label'          => esc_html__( 'Menu is boxed?', 'stuffpost' ),
    'section' => 'menu_settings',
    'type' => 'checkbox',
  ));
// HEADER: external logo position.
  $wp_customize->add_setting( 'menuLogoPosition', array( 'capability' => 'edit_theme_options', 'default' => 'off', 'sanitize_callback' => 'weart_sanitize_radio', ) );
  $wp_customize->add_control( 'menuLogoPosition', array(
    'type' => 'select',
    'section' => 'menu_settings',
    'label'          => esc_html__('External Logo Position','stuffpost'),
    'choices' => array(
                  'off'=>'Off',
                  'bottom'=>'On',
                ),
  ) );
// HEADER: tagline position (left,center,right)
  $wp_customize->add_setting( 'menuTaglinePosition', array( 'capability' => 'edit_theme_options', 'default' => 'left', 'sanitize_callback' => 'weart_sanitize_radio', ) );
  $wp_customize->add_control( 'menuTaglinePosition', array(
    'type' => 'select',
    'section' => 'menu_settings',
    'label'          => esc_html__('Menu/Tagline position','stuffpost'),
    'choices' => array(
                  'left'=>'Left',
                  'center'=>'Center',
                  'right'=>'Right',
                ),
  ) );

// lazyload images on-of
  $wp_customize->add_setting( 'want_lazy', array( 'default' => 1, 'sanitize_callback' => 'weart_sanitize_checkbox'));
  $wp_customize->add_control( 'want_lazy', array(
    'label'          => esc_html__( 'Lazy Load Images', 'stuffpost' ),
    'section' => 'title_tagline',
    'type' => 'checkbox',
  ));