<?php require get_template_directory().'/demo.php' ?>

<!-- MAIN MENU -->
  <div class="menu-divider"></div>
  <div id="main-menu" class="f-main <?php if( get_theme_mod('want_menuFixed',1) ){ ?>sticky-header<?php } ?> bg-white">
    <div class="<?php if($is_menuBoxed){ ?>container <?php }else{ ?>w-100<?php } ?> d-flex align-items-center position-relative">

      <div id="bars" class="bg-1 c-white ch-black"><i class="fas fa-bars"></i></div>

      <?php if( get_theme_mod('want_menuLogo',1) && $menuLogoPosition !== 'bottom' ){ ?>
        <div class="logo menu-logo border-right f-main l-black lh-1" itemscope>
          <?php  if ( has_custom_logo() ) { ?>
            <?php the_custom_logo(); ?>
          <?php } else{ ?>
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" >
              <?php bloginfo( 'name' ); ?>
            </a>
          <?php } ?>
        </div><!-- .logo -->
      <?php } ?>

      <div class="d-flex align-items-center
        <?php if( $menuTaglinePosition === 'left' ){ ?>mr-auto
        <?php }elseif($menuTaglinePosition==='right'){ ?>ml-auto
        <?php }else{ ?>mx-auto<?php } ?>">
      <?php if( get_theme_mod('want_menuTagline',1) && !has_nav_menu( 'desktop-menu') ){ ?>
        <div id="tagline" class="px-3 d-none d-lg-block c-black">
          <span>
            <?php //tagline description
              if( is_single() ){ the_title(); }
              elseif( is_archive() ){ the_archive_title(); }
              elseif( is_search() ){  echo esc_html__( 'Searched: ', 'stuffpost' ) . get_search_query(); }
              else{ bloginfo( 'description' ); } ?>
          </span>
        </div>
      <?php } elseif( has_nav_menu( 'desktop-menu') ){ ?>
        <nav class="navbar navbar-expand l-black lh-1 px-1 position-static" role="navigation">
          <?php wp_nav_menu( array(
            'theme_location' => 'desktop-menu',
            'container' => false,
            'menu_id' => 'desktop-menu',
            'menu_class'  => 'navbar-nav px-2 d-none'
          ) ); ?>
        </nav>
      <?php } ?>
      </div>

      <div class="<?php if($menuTaglinePosition!=='right'){ ?>ml-auto<?php } ?>">
        <?php if ( has_nav_menu( 'social-menu') && get_theme_mod('want_menuSocial',1) ) {
          wp_nav_menu( array(
            'theme_location'  => 'social-menu',
            'container'       => false,
            'menu_class'      => '',
            'items_wrap'      => '<ul id="%1$s" class="social-channels lh-black l-meta pr-2 d-none %2$s ">%3$s</ul>',
            'depth'           => 1,
          ) );
        } ?>
        <?php if(get_theme_mod('want_menuSearch',1)){ ?>
          <div id="search" class="c-meta border-left border-right ch-black d-inline-block"><i class="fas fa-search"></i></div>
        <?php } ?>
      </div>

    </div>
  </div>

<!-- if is a bottom logo -->
  <?php if($menuLogoPosition === 'bottom'){ ?>
    <div class="mx-auto my-5 text-center w-external-logo">
      <?php  if ( has_custom_logo() ) { ?>
        <?php the_custom_logo(); ?>
      <?php } else{ ?>
        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" >
          <?php bloginfo( 'name' ); ?>
        </a>
      <?php } ?>
    </div>
  <?php } ?>

<!-- MOBILE MENU -->
  <div id="mobile-menu">
    <div class="moible-menu-inner container h-100 f-main l-white lh-white">
        <div class="menu w-100 text-uppercase">
          <?php if ( has_nav_menu( 'header-menu') ) {
            wp_nav_menu( array(
              'theme_location'  => 'header-menu',
              'container'       => false,
              'menu_class'      => '',
              'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
            ) );
          } ?>
        </div>
    </div>
  </div>

<!-- search menu -->
  <div id="search-menu">
    <div class="moible-menu-inner container h-100 f-main l-white lh-white">
        <div class="menu w-100">
          <?php get_search_form() ?>
        </div>
    </div>
  </div>